| Package | Description |
|---|---|
| io.helidon.webserver |
Reactive web server API.
|
| Modifier and Type | Method | Description |
|---|---|---|
void |
ResponseHeaders.addAcceptPatches(MediaType... acceptableMediaTypes) |
Adds one or more acceptedTypes path document formats (header ).
|
void |
ResponseHeaders.addCookie(String name,
String value) |
Adds
Set-Cookie header based on RFC2616. |
void |
ResponseHeaders.addCookie(String name,
String value,
Duration maxAge) |
|
void |
ResponseHeaders.contentLength(long contentLength) |
Sets the value of header.
|
void |
ResponseHeaders.contentType(MediaType contentType) |
Sets the MIME type of the response body.
|
void |
ResponseHeaders.expires(Instant dateTime) |
Sets the value of header.
|
void |
ResponseHeaders.expires(ZonedDateTime dateTime) |
Sets the value of header.
|
void |
ResponseHeaders.lastModified(Instant dateTime) |
Sets the value of header.
|
void |
ResponseHeaders.lastModified(ZonedDateTime dateTime) |
Sets the value of header.
|
void |
ResponseHeaders.location(URI location) |
Sets the value of header.
|
default ServerResponse |
ServerResponse.status(int statusCode) |
Sets new HTTP status code.
|
ServerResponse |
ServerResponse.status(Http.ResponseStatus status) |
Sets new HTTP status.
|
Copyright © 2018, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.